<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Cosmic Ghost Rider</Series>
  <Number>3</Number>
  <Web>https://www.amazon.com/dp/B0BWSPDP3N</Web>
  <Summary>VALKYRIE VS. COSMIC GHOST RIDER! It's the mighty Valkyrie versus Cosmic Ghost Rider - but which of the now TWO Riders is she facing?! As the mystery deepens, the two Cosmic Ghost Riders draw closer to one another for a final confrontation in the depths of space. But first, they both must survive the bevy of bounty hunters, heroes and villains in hot pursuit!</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BWSPDP3N], [RELDATE:2023-05-10]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>23</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
